Macaulay2 » Documentation
Packages » CompleteIntersectionResolutions :: stableHom
next | previous | forward | backward | up | index | toc

# stableHom -- map from Hom(M,N) to the stable Hom module

- Usage:
    `p = stableHom(M,N)`
- Inputs:
  - M, a module,
  - N, a module,
- Outputs:
  - p, a matrix, projection from Hom(M,N) to the stable Hom

## Description

The stable Hom is Hom(M,N)/T where T is the submodule of homomorphisms that factor through a free cover of N (or, equivalently, through any projective)

## See also

- isStablyTrivial -- returns true if the map goes to 0 under stableHom

## Ways to use stableHom:

- `stableHom(Module,Module)`

## For the programmer

The object stableHom is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/CompleteIntersectionResolutions.m2:4649:0.